//global variables

	var g_NoEvent = false;	
	var g_MainMapObjects = new Array();
	
	var g_MainMapXCoord;
	var g_MainMapYCoord;
	
	var g_IsInitialized = false;
	
	var g_MarkCellX;
	var g_MarkCellY;
	var g_MarkPosX;
	var g_MarkPosY;
	var g_MarkOn = false;
	
	var g_MapX = -10000;
	var g_MapY = -10000;


//________________________________________________________________________________



function window.onload()
{
	InitGlobals();
//	ShowMap(-2, -9);

}


function HandleScroll()
{
	if (g_NoEvent) return;
	
	x0 = Math.round(o_Scroller.scrollLeft / 64) - 15;
	y0 = Math.round(o_Scroller.scrollTop / 64) - 15;
	
	y02 = 9 - y0;
	ShowMap(x0 ,y02 );
}

function HandleMapMainMousemove()
{
	if (g_NoEvent) return;
	
	x0 = Math.round((event.x - 4) / 4);
	y0 = Math.round((event.y - 4) / 4);
	y02 = 46 - y0;
	
	PrintRegion(x0, y02);
}

function HandleMapMainMouseout()
{
	if (g_NoEvent) return;
	
	x0 = Math.round(o_Scroller.scrollLeft / 64) - 15;
	y0 = 24 - Math.round(o_Scroller.scrollTop / 64);
	
	PrintRegion(x0 + 18, y0 + 19);
	
}

function HandleMapMainClick()
{
	if (g_NoEvent) return;
	
	x0 = Math.round((event.offsetX - 2) / 4) - 18;
	y0 = 27 - Math.round((event.offsetY - 2) / 4);
	if (x0 < -15) x0 = -15;
	if (y0 < -15) y0 = -15;
	if (x0 > 18) x0 = 18;
	if (y0 > 23) y0 = 23;
	
	SetMapPos(x0, y0);
}

function GoTab(href)
{
	Content.location.href = href;
}

//________________________________________________________________________________
/*
	var qstr = location.search;
	var reg_x = /[\?&]x=([^&]*)/i;
	var reg_y = /[\?&]y=([^&]*)/i;
	
	var map_x = 0;
	var a = reg_x.exec(qstr);
	if (a)
	{
		map_x = a[1] - 0;
	}
	var map_y = 0;
	var a = reg_y.exec(qstr);
	if (a)
	{
		map_y = a[1] - 0;
	}
*/
	
	
function CreateMainMap()
{
	for (x = 0; x < 7; ++x)
	{
		for (y = 0; y < 7; ++y)
		{
			map_id = 'o_Matrix' + x + y;
			document.write('<img id="' + map_id + '" src="null.gif" style="position:absolute; left:' + (x * 64) + 'px; top:' + (y * 64) + 'px; width: 64px; height: 64px;"></img>');
		}
		
		document.write('<span id="o_Xcor' + x + '" style="position:absolute; left:' + (x * 64) + 'px; top: 1px; width: 64px; height: 20px; text-align:center; text-family:Tahoma; font-size:7pt;">0</span>');
		document.write('<span id="o_Ycor' + x + '" style="position:absolute; left:2px; top:' + (x * 64 + 26) + 'px; width: 64px; height: 20px; text-family:Tahoma; font-size:7pt;">0</span>');
	}			
}


function InitGlobals()
{
	try
	{
		g_MainMapObjects[0] = new Array(o_Matrix00, o_Matrix01, o_Matrix02, o_Matrix03, o_Matrix04, o_Matrix05, o_Matrix06);
		g_MainMapObjects[1] = new Array(o_Matrix10, o_Matrix11, o_Matrix12, o_Matrix13, o_Matrix14, o_Matrix15, o_Matrix16);
		g_MainMapObjects[2] = new Array(o_Matrix20, o_Matrix21, o_Matrix22, o_Matrix23, o_Matrix24, o_Matrix25, o_Matrix26);
		g_MainMapObjects[3] = new Array(o_Matrix30, o_Matrix31, o_Matrix32, o_Matrix33, o_Matrix34, o_Matrix35, o_Matrix36);
		g_MainMapObjects[4] = new Array(o_Matrix40, o_Matrix41, o_Matrix42, o_Matrix43, o_Matrix44, o_Matrix45, o_Matrix46);
		g_MainMapObjects[5] = new Array(o_Matrix50, o_Matrix51, o_Matrix52, o_Matrix53, o_Matrix54, o_Matrix55, o_Matrix56);
		g_MainMapObjects[6] = new Array(o_Matrix60, o_Matrix61, o_Matrix62, o_Matrix63, o_Matrix64, o_Matrix65, o_Matrix66);
		
		g_MainMapXCoord = new Array(o_Xcor0, o_Xcor1, o_Xcor2, o_Xcor3, o_Xcor4, o_Xcor5, o_Xcor6); 
		g_MainMapYCoord = new Array(o_Ycor0, o_Ycor1, o_Ycor2, o_Ycor3, o_Ycor4, o_Ycor5, o_Ycor6); 
		
		SetMapPos(-2, -9);
		
		g_IsInitialized = true;
	}
	catch(e)
	{
		g_IsInitialized = false;
	}
}

function ShowMap(x0, y0)
{
	if (!g_IsInitialized)
	{
		InitGlobals();
	}
	if (!g_IsInitialized)
	{
		return;
	}
	
	for (y = 0; y < 7; ++y)
	{
		for (x = 0; x < 7; ++x)
		{
			g_MainMapObjects[x-0][y-0].src = 'maps/map ' + (x - 3 + x0 ) + ' ' + (3 - y + y0) + '.jpg'; 
		}
		
		g_MainMapXCoord[y-0].innerText = y - 3 + x0;
		g_MainMapYCoord[y-0].innerText = 3 - y + y0;
	}
	
	UpdateMark(x0, y0);
	
	o_Positioner.style.left = (x0 + 15) * 4 - 2;
	o_Positioner.style.top = (24 - y0) * 4 - 2;
	
	PrintRegion(x0 + 18, y0 + 19);
	
	g_MapX = x0;
	g_MapY = y0;
}	

function UpdateMark(x0, y0)
{
	showmarker = g_MarkOn && (g_MarkCellX > (x0 - 3)) && (g_MarkCellX <= (x0 + 3)) && (g_MarkCellY >= (y0 - 3)) && (g_MarkCellY < (y0 + 3));
	o_Marker.style.visibility = (showmarker) ? 'inherit' : 'hidden';
	if (showmarker)
	{
		o_Marker.style.left = (g_MarkCellX - x0 + 2) * 64  + g_MarkPosX + 2;
		o_Marker.style.top = (y0 - g_MarkCellY + 3) * 64 - g_MarkPosY + 22;
	}
	
}

function SetMapPos(x0, y0)
{	
	if (g_NoEvent) return;
	
	g_NoEvent = true;
	
	o_Scroller.scrollLeft = (15 + x0) * 64;
	o_Scroller.scrollTop = (24 -  y0) * 64;
	
	if ((g_MapX != x0) || (g_MapY != y0))
	{
		ShowMap(x0, y0);
	}
	
	g_NoEvent = false;
}

function PrintRegion(x0, y0)
{
	if ((x0 >= 0) && (x0 < 42) && (y0 >= 0) && (y0 < 46))
	{
		o_Region.innerText = g_LastRegion = g_Region[g_Cell2Region[x0][y0]];
	}
	else
	{
		o_Region.innerText = "";
	}	
}


